Package com.logicaldoc.core.store

# Class StoreResource

java.lang.Object
com.logicaldoc.core.store.StoreResource

public class StoreResource extends Object
Represents a resource inside a `Store`

Since:
  9.2.2
Author:
  Marco Meschieri - LogicalDOC

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`StoreResource.Builder`
A builder for `StoreResource`s

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`SUFFIX_MOBILE_THUMBNAIL`
The suffix for the document's resource that represents the mobile thumbnail image
`static final String`
`SUFFIX_PDF_CONVERSION`
The suffix for the document's resource that represents the PDF conversion
`static final String`
`SUFFIX_THUMBNAIL`
The suffix for the document's resource that represents the thumbnail image
`static final String`
`SUFFIX_TILE`
The suffix for the document's resource that represents the tile image

## Method Summary

Modifier and Type
Method
Description
`static StoreResource.Builder`
`builder()`
Creates a new builder
`boolean`
`equals(Object obj)`
`long`
`getDocId()`
`String`
`getFileVersion()`
`String`
`getSuffix()`
`int`
`hashCode()`
`boolean`
`isNewEntry()`
`String`
`name()`
Name of the resource as `fileVersion-suffix`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### SUFFIX_PDF_CONVERSION

public static final String SUFFIX_PDF_CONVERSION
The suffix for the document's resource that represents the PDF conversion

See Also:
  - Constant Field Values

### SUFFIX_TILE

public static final String SUFFIX_TILE
The suffix for the document's resource that represents the tile image

See Also:
  - Constant Field Values

### SUFFIX_THUMBNAIL

public static final String SUFFIX_THUMBNAIL
The suffix for the document's resource that represents the thumbnail image

See Also:
  - Constant Field Values

### SUFFIX_MOBILE_THUMBNAIL

public static final String SUFFIX_MOBILE_THUMBNAIL
The suffix for the document's resource that represents the mobile thumbnail image

See Also:
  - Constant Field Values

## Method Details

### getDocId

public long getDocId()

### getFileVersion

public String getFileVersion()

### getSuffix

public String getSuffix()

### isNewEntry

public boolean isNewEntry()

### name

public String name()
Name of the resource as `fileVersion-suffix`

Returns:
  The resource's name

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### builder

public static StoreResource.Builder builder()
Creates a new builder

Returns:
  The new builder